
Jupiter - Zadanie #1691
Cache danych tymczasowych
2017-05-18 14:07 - Michał Komar

Status: Nowy Start date: 2017-05-18
Priority: Normalny Due date:
Assignee: Łukasz Waśkiewicz % Done: 50%
Category: backend Estimated time: 0.00 hour
Target version: 0.4
Developer: Łukasz Waśkiewicz Tester: Jarosław Bąbel
Description

W ramach zadania należy zaimplementować serwis, który będzie przechowywał informację o dodanych i usuniętych dokumentach,
zanim informacja ta zostanie spropagowana do indeksu.
Kiedy potrzebny jest ten cache:
    -  dokument został usunięty - we flow typu basic po usunięciu dokumentu, a w pozostałych po publikacji usunięcia - tracimy
informację o tym, że dokument nie istnieje. Nie istnieje current document, a indeks pełnotekstowy może zawierać jeszcze ten
dokument (w przypadku master-slave). Cache powinien uzupełniać flagę removed na dokumencie, dopóki jest on zwracany w
zapytaniach.
    -  dokument został dodany - po dodaniu dokumentu, może być on jeszcze niewidoczny w indeksie, a już nieobecny w bazie jupitera
- po udanym opublikowaniu dokumentu, można go dodać na pewein czas do cache i weryfikować cache względem zapytań. Jeżeli
dokument zostanie zwrócony z indeksu, można go usunąć z cache

Related issues:
Duplicated by Jupiter - Błąd # 1881: Znika przekreślenie usuwanego węzła Rozwiązany 2017-12-06

Associated revisions
Revision 86092c1a - 2018-01-30 12:26 - Łukasz Waśkiewicz

refs #1691 poprawka dodawania do cache

Revision 86025a23 - 2018-01-30 15:21 - Łukasz Waśkiewicz

refs #1691 obsługa cache przy operacjach bez validacji #1705
przenoszenie bez validacji

Revision 9b49700e - 2018-02-06 15:38 - Łukasz Waśkiewicz

refs #1691 poprawa testu

History
#1 - 2017-05-19 08:31 - Michał Komar
- Target version changed from 0.3 to 0.4

#2 - 2017-12-20 09:10 - Łukasz Waśkiewicz
- Duplicated by Błąd #1881: Znika przekreślenie usuwanego węzła added

#3 - 2017-12-21 07:40 - Łukasz Waśkiewicz
- Assignee changed from Michał Komar to Łukasz Waśkiewicz
- % Done changed from 0 to 50
- Developer Łukasz Waśkiewicz added
- Tester Jarosław Bąbel added

dodany serwis przechowujący cache dokumentów
dokumenty rejestrowane w serwisie przy zapisie i usuwaniu dokumentu
zaimplementowany odczyt po identifier i wpięty w DocumentQueryService przy mergowaniu dokumentów 
działanie pobranie listy z indeksu, wyszukanie po identifier wersji z jupitera jeśli nie ma to z cache, jeśli któraś obecna to zamiana wersji z indeksu

zostało zaimplementowanie metody wyszukującej dokumenty przy użyciu DocumetnQuery
